Skip to content

Disable Study Migration Mode for multiple Study records. Sending a request to this endpoint initiates a job to clear the study_migration__v field on Study records and their related object records. You can disable Study Migration Mode for up to 500 Study records in a single request.

Learn more about status and archiving studies in Vault Help. Learn more about Clinical Study Migrations.

POST/api/{version}/app/clinical/studies/actions/disable_migration_mode
NameDescription
Content-Typeapplication/json
Acceptapplication/json

In the body of the request, upload the following parameter as a CSV or JSON input file:

NameDescription
id
required
The ID of the Study record.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ --data-raw '[ { "id": "0ST000000003001" }, { "id": "0ST000000003003" } ]' \ https://myvault.veevavault.com/api/v26.1/app/clinical/studies/actions/disable_migration_mode
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "data": [ { "url": "/api/v26.1/services/jobs/547430", "job_id": "547430" } ] }

On SUCCESS, the response includes the jobID, which you can use to retrieve the job status, and the url, which you can use to retrieve the current status of the job.

On FAILURE, the response returns the study_id of the record that resulted in the failure and an error message describing the reason for the failure. The entire request fails to process if you provide a Study record that does not exist in your Vault or is already out of Study Migration Mode.